[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.RemoveHandlerOnChange

Removes the specified OnChange event handler for the list of handlers in the control.

## Declaration

Source position: stdctrls.pp line 855

`public procedure TCustomEdit.RemoveHandlerOnChange(`
`const AnOnChangeEvent: TNotifyEvent`
`);`

## Arguments

`AnOnChangeEvent` |  | Event handler removed from the list of handlers in the control.

## Description

RemoveHandlerOnChange is a method used to remove the event handler specified in AnOnChangeEvent from the list of OnChange handlers for the control. AnOnChangeEvent is a TNotifyEvent instance, and it is used to locate and remove the TMethod entry registered for the handler. RemoveHandlerOnChange reverses the actions performed in AddHandlerOnChange, called when an OnChange event handler is assigned to the control.

No actions are performed in the method when the internal OnChange method list has not been assigned (contains Nil).

## See also

TMethodList
TMethodList.Remove
TMethod
TNotifyEvent